#logo{

  width:100%;
  height: auto;
  margin-top: 0.5em;
}
.Contenedor-Preliminar{
  width: 52%;
  margin-left: 20.59%;
  margin-bottom: 2em;
  height: auto;
  border-style:  solid;
  border-radius: 2em;
  padding: 1em;
  background-color: #EDF4C2;
  text-align: center;
  font-size: 18px;
  font-weight: bolder;
  font-family: Arial, sans-serif;
}


#container {
    position: relative;
    width: 500px;
    height: 600px;
    margin-left: 420px;
    border: 1px solid black;
    overflow: hidden;
    touch-action: none;
    background-color: #FFFFBF;
    margin-top: 49px;
  }




  #container:hover {
    cursor: pointer;
  }

  #line {
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 4px;
    background-color: blue;
    pointer-events: none;
    touch-action: none;
    transform: translateY(-50%);
  }


  #scale {
    position: relative;
    float: left;
    margin-left: 18.4em;
    margin-top: -3em;
    height: 600px;
    font-size: 18px;
    font-weight: bolder;
    top: 0;
    right: 0;
    bottom: 0;
    width: 89px;
    background-color: #F5F5DC;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    border: 1px solid black;
    pointer-events: none;
  }

  .square {
    position: absolute;
    width: 74px;
    height: 40px;
      z-index: 1;
  }

  .squareM {
    position: absolute;
width: 60px;
height: 40px;
background-color: green;
bottom: -40px; /* Cambio realizado */
  z-index: 2;
  }

  #square1 {
    position: absolute;
    background-color: lightblue;
  }

  #square2 {
    position: absolute;
    background-color: lightgreen;
  }

  #square3 {
    position: absolute;
    background-color: orange;
  }

  #square1M {
    position: absolute;
    background-color: lightblue;
  }

  #square2M {
    position: absolute;
    background-color: lightgreen;
  }

  #square3M {
    position: absolute;
    background-color: orange;
  }


  .gran-contenedor {
    margin-top: -10px;
    margin-left: -54px;
  }

  .parrafo {
    font-size: 12px;
    align-content: center;
    margin-left: 19px;
    margin-top: 7px;
    font-weight: bolder;
  }

  .parrafoNernst {
    font-size: 14px;
    align-content: center;
    margin-left: 5px;
    margin-top: 0px;
    font-weight: bolder;
  }

  .fi {
    font-size: 14px;
    margin-top: -15px;
    align-content: center;
    margin-left: 10px;
    font-weight: bolder;
  }

  .ne {
    font-size: 15px;
    margin-top: -12px;
    align-content: center;
    margin-left: 2px;
    font-weight: bolder;
  }

  #potencial {
    width: 200px;
    height: 50px;
    border: 2px solid black;
    background-color:#F4DDBE;
    margin-top: -602px;
    margin-left: 125px;
    font-size: 18px;
    font-weight: bolder;
  }

  .potencial {
    align-content: center;
    margin-top: 1px;
  }

  .intracelular {
    margin-left: 29%;
    background-color: #BDECB6;
    width: 550px;
    border: 5px solid black;
    border-bottom: 1px solid black;
    font-size: 18px;
    font-weight: bolder;
  }

  .extracelular {
    margin-left: 29%;
    background-color: #FF99FF;
    width: 550px;
    border: 5px solid black;
    border-top: 1px solid black;
    font-size: 18px;
    font-weight: bolder;
  }

  .titulo {
    margin-left: 27%;
    margin-top: 0px;
    color: #000080;
    font-size: 62px;
  }

  .stimulate-button {
    margin-left: 30%;
    margin-top: 10px;
  }

  /* .resetear {
    margin-left: 5%;
    margin-top: 10px;
  } */

  body {
    background-color: #CBF7ED;
    height: 100vh;
  }

  button {
    --border: 5px;    /* the border width */
    --slant: 0.7em;   /* control the slanted corners */
    --color: #37E8FC; /* the color */

    font-size: 35px;
    padding: 0.4em 1.2em;
    border: none;
    cursor: pointer;
    font-weight: bold;
    color: var(--color);
    background:
      linear-gradient(to bottom left,var(--color)  50%,#0000 50.1%) top right,
      linear-gradient(to top   right,var(--color)  50%,#0000 50.1%) bottom left;
    background-size: calc(var(--slant) + 1.3*var(--border)) calc(var(--slant) + 1.3*var(--border));
    background-repeat: no-repeat;
    box-shadow:
      0 0 0 200px inset var(--s,#0000),
      0 0 0 var(--border) inset var(--color);
    clip-path:
      polygon(0 0, calc(100% - var(--slant)) 0, 100% var(--slant),
              100% 100%, var(--slant) 100%,0 calc(100% - var(--slant))
            );
    transition: color var(--t,0.3s), background-size 0.3s;
    background-color: lightgreen;
  }

  button:focus-visible {
    outline-offset: calc(-1*var(--border));
    outline: var(--border) solid #000c;
    clip-path: none;
    background-size: 0 0;
  }

  button:hover,
  button:active {
    background-size: 100% 100%;
    color: white;
    --t: 0.2s 0.1s;
  }

  button:active {
    --s: #0005;
    transition: none;
  }

  .resetear {
    margin-left: 0px;
    width: 200px;
    height: 70px;
    background-color: lightblue;
    font-size: 18px;
    font-weight:bolder;
    border-radius: 20px;
    color: blue;
    margin-left: 1%;
    margin-top: 10px;
  }

  .resetear:hover {
    background-size: 100% 100%;
    color: green;
    cursor: pointer;
  }


  .underlinePositivo {
     text-decoration: underline;
     font-size:21px;
      color:#00BB2D;
   }
   .underlineNegativo {
      text-decoration: underline;
      font-size:21px;
        color:red;
    }

  .arrow {
       position: absolute;
       width: 6px;
       transform: translateX(-50%);
        z-index: 0;
     }

  .highlightSodio{
    color: blue;
    text-decoration: underline;
    font-size: 19px;
  }

  .highlightPotasio{
    color:  #2F4538;
    text-decoration: underline;
    font-size: 19px;
  }

  .highlightCloruro{
    color: #D32213;
    text-decoration: underline;
    font-size: 19px;
  }
  .temperatura{
    margin-left: 29%;
    background-color: #0AD2F6;
    width: 550px;
    border: 5px solid black;
    border-top: 1px solid black;
    font-size: 18px;
    font-weight: bolder;
  }
  .tituloTemperatura{
    color: #BD5D07;
    text-decoration: underline;
    font-size: 19px;
  }






@media screen and (max-width: 1000px) {
  #logo{

    width:145%;
    height: auto;
  }
  .Contenedor-Preliminar{
    width: 90%;
    margin-left: 16%;
    font-size: 18.5px;
  }

  #container {
      position: relative;
      width: 60%;
      height: 600px;
      margin-left: 19em;
      border: 1px solid black;
      overflow: hidden;
      touch-action: none;
      background-color: #FFFFBF;
      margin-top: 49px;
    }




    #container:hover {
      cursor: pointer;
    }

    #line {
      position: absolute;
      top: 50%;
      left: 0;
      width: 100%;
      height: 4px;
      background-color: blue;
      pointer-events: none;
      touch-action: none;
      transform: translateY(-50%);
    }


    #scale {
      position: relative;
      float: left;
      margin-right: 0em;
      margin-left: 14em;
      margin-top: -46.9em;
      height: 600px;
      font-size: 18px;
      font-weight: bolder;
      top: 0;
      right: 0;
      bottom: 0;
      width: 3em;
      background-color: #F5F5DC;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      align-items: center;
      border: 1px solid black;
      pointer-events: none;
      text-align: center;
    }
    label{
      font-size: 24px;
    }

    .square {
      position: absolute;
      width: 74px;
      height: 40px;
        z-index: 1;
    }

    .squareM {
      position: absolute;
  width: 60px;
  height: 40px;
  background-color: green;
  bottom: -40px; /* Cambio realizado */
    z-index: 2;
    }

    #square1 {
      position: absolute;
      background-color: lightblue;
    }

    #square2 {
      position: absolute;
      background-color: lightgreen;
    }

    #square3 {
      position: absolute;
      background-color: orange;
    }

    #square1M {
      position: absolute;
      background-color: lightblue;
    }

    #square2M {
      position: absolute;
      background-color: lightgreen;
    }

    #square3M {
      position: absolute;
      background-color: orange;
    }


    .gran-contenedor {
      margin-top: -10px;
      margin-left: -54px;
    }

    .parrafo {
      font-size: 12px;
      align-content: center;
      margin-left: 19px;
      margin-top: 7px;
      font-weight: bolder;
    }

    .parrafoNernst {
      font-size: 14px;
      align-content: center;
      margin-left: 5px;
      margin-top: 0px;
      font-weight: bolder;
    }

    .fi {
      font-size: 14px;
      margin-top: -15px;
      align-content: center;
      margin-left: 10px;
      font-weight: bolder;
    }

    .ne {
      font-size: 15px;
      margin-top: -12px;
      align-content: center;
      margin-left: 2px;
      font-weight: bolder;
    }

    #potencial {
      width: 6.5em;
      height: 10em;
      border: 2px solid black;
      background-color:#F4DDBE;
      margin-top: 0em;
      margin-left: 21em;
      font-size: 24px;
      font-weight: bolder;
    }

    .potencial {
      align-content: center;
      margin-top: 1px;
      font-size: 18px;
    }


    .intracelular {
      margin-left: 29%;
      background-color: #BDECB6;
      width: 550px;
      border: 5px solid black;
      border-bottom: 1px solid black;
      font-size: 18px;
      font-weight: bolder;
    }

    .extracelular {
      margin-left: 29%;
      background-color: #FF99FF;
      width: 550px;
      border: 5px solid black;
      border-top: 1px solid black;
      font-size: 18px;
      font-weight: bolder;
    }

    .titulo {
      margin-left: 27%;
      margin-top: 0px;
      color: #000080;
      font-size: 62px;
    }

    .stimulate-button {
      margin-left: 30%;
      margin-top: 10px;
    }

    /* .resetear {
      margin-left: 5%;
      margin-top: 10px;
    } */

    body {
      background-color: #CBF7ED;
      height: 100vh;
    }

    button {
      --border: 5px;    /* the border width */
      --slant: 0.7em;   /* control the slanted corners */
      --color: #37E8FC; /* the color */

      font-size: 35px;
      padding: 0.4em 1.2em;
      border: none;
      cursor: pointer;
      font-weight: bold;
      color: var(--color);
      background:
        linear-gradient(to bottom left,var(--color)  50%,#0000 50.1%) top right,
        linear-gradient(to top   right,var(--color)  50%,#0000 50.1%) bottom left;
      background-size: calc(var(--slant) + 1.3*var(--border)) calc(var(--slant) + 1.3*var(--border));
      background-repeat: no-repeat;
      box-shadow:
        0 0 0 200px inset var(--s,#0000),
        0 0 0 var(--border) inset var(--color);
      clip-path:
        polygon(0 0, calc(100% - var(--slant)) 0, 100% var(--slant),
                100% 100%, var(--slant) 100%,0 calc(100% - var(--slant))
              );
      transition: color var(--t,0.3s), background-size 0.3s;
      background-color: lightgreen;
    }

    button:focus-visible {
      outline-offset: calc(-1*var(--border));
      outline: var(--border) solid #000c;
      clip-path: none;
      background-size: 0 0;
    }

    button:hover,
    button:active {
      background-size: 100% 100%;
      color: white;
      --t: 0.2s 0.1s;
    }

    button:active {
      --s: #0005;
      transition: none;
    }

    .resetear {
      margin-left: 0px;
      width: 200px;
      height: 70px;
      background-color: lightblue;
      font-size: 24px;
      font-weight:bolder;
      border-radius: 20px;
      color: blue;
      margin-left: 1%;
      margin-top: 10px;
    }

    .resetear:hover {
      background-size: 100% 100%;
      color: green;
      cursor: pointer;
    }


    .underlinePositivo {
       text-decoration: underline;
       font-size:39px;
        color:#00BB2D;
     }
     .underlineNegativo {
        text-decoration: underline;
        font-size:39px;
          color:red;
      }

    .arrow {
         position: absolute;
         width: 6px;
         transform: translateX(-50%);
          z-index: 0;
       }

    .highlightSodio{
      color: blue;
      text-decoration: underline;
      font-size: 39px;
    }

    .highlightPotasio{
      color:  #2F4538;
      text-decoration: underline;
      font-size: 39px;
    }

    .highlightCloruro{
      color: #D32213;
      text-decoration: underline;
      font-size: 39px;
    }
    .temperatura{
      margin-left: 29%;
      background-color: #0AD2F6;
      width: 550px;
      border: 5px solid black;
      border-top: 1px solid black;
      font-size: 24px;
      font-weight: bolder;
    }
    .tituloTemperatura{
      color: #BD5D07;
      text-decoration: underline;
      font-size: 39px;
    }
    #intracellularSodiumConcentration{
      font-size: 39px;
      margin-left: 1.5em;
      width: 70%;

    }
    #intracellularPotassiumConcentration{
      font-size: 39px;
      margin-left: 1.5em;
      width: 70%;
    }

    #intracellularChlorideConcentration{
      font-size: 39px;
      margin-left: 1.5em;
      width: 70%;
    }

    #sodiumConcentration{
      font-size: 39px;
      margin-left: 1.5em;
      width: 70%;
    }
    #potassiumConcentration{
      font-size: 39px;
      margin-left: 1.5em;
      width: 70%;
    }
    #chlorideConcentration{
      font-size: 39px;
      margin-left: 1.5em;
      width: 70%;
    }
    #iTemperatura{
      font-size: 39px;
      margin-left: 1.5em;
      width: 70%;
    }



}
